/*###### STYLESHEET FÜR DIE PRIORISIERUNGEN ######*/

/*Div, zum Aufklappen der Priorisierungskriterien*/
.priorisierungs-ordner {
    font-weight: 500;
    display: flex;
    align-items: center;
    gap: 10px;
    height: 100%;
    width: 100%;
    padding: 0 7px;
    position: absolute;
    z-index: 1;
}

/*Priorisierungstitel und Marker*/
#prio-ordner-text {
    white-space: nowrap;
    overflow: hidden;
    display: flex;
    gap: 10px;
    /*Funktionen, die die Schrift nicht selektierbar machen*/
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Old versions of Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
}

/*Div mit Auflistung der verschiedenen Priorisierungskriterien */
.priorisierungs-kriterien {
    height: 35px;
    width: 100%;
    position: relative;
    background-color: white;
    word-break: break-word;

    /*Div design */
    border-radius: 5px;
    /*Cursor*/
    cursor: pointer;

    box-shadow: var(--schatten-u-r);
    order: 3;
}


.priorisierungs-kriterien-open {
    width: 100%;
    box-shadow: none;
}

/*Einzelne Priorisierungskriterien*/
.priorisierungen {
    display: flex;
    flex-direction: column;
    row-gap: 10px;
    width: 100%;
    font-size: 13px;
    background: var(--hintergrund);
    padding: 10px;
    border-radius: 0.35em;
    box-shadow: var(--schatten-u-r);
    justify-content: space-between;
}

/*Im inaktiven Zustand (default) ausgegraut*/
.priorisierungen-inaktiv {
    background-color: rgba(152, 152, 152, 0.4);
    filter: grayscale(80%);
    color: #747474;
}

/*Titel der Priorisierungskristerien*/
.prio-name {
    width: fit-content;
}

/*Position der Priorisierungs-Namen und Checkbox */
.prio-titel {
    display: flex;
    justify-content: space-between;
}

/*Schriftgröße der Priorisierungskriterien*/
.label {
    font-size: 0.8vw;
}

/*####Schieberegler Design####*/

/*Position und Design des Schiebereglers*/
.slider {
    /*Deaktiviert das ursprüngliche Browser Design*/
    appearance: none;

    /*Position und Größe*/
    margin-right: 10px;
    width: 70px;
    height: 10px;
    font-size: 0.5vw;
    overflow: hidden;
    float: right;

    /*Div design*/
    box-shadow: var(--schatten-u-r);
    border-radius: 5px;
    border: solid 1px rgba(0, 0, 0, 0.3);
}

/*Position des Silders und des Priorisierungskriteriumstitel */
.prio-relevanz {
    display: flex;
    align-items: center;
}

/*Slider bekommt eine opacity*/
.slider:hover {
    opacity: 1;
}


/*Safari & Chrome Design des Slider Thumbs + Verlauf*/
.slider::-webkit-slider-thumb {
    /*Deaktiviert das ursprüngliche Browser Design*/
    -webkit-appearance: none;

    /*Größe des Slider Thumbs*/
    width: 14px;
    height: 9px;
    /*Cursor wird zur Hand*/
    cursor: pointer;
    /*Slider design*/
    border: double black;
    border-radius: 2px;

    /*Progress Verlauf*/
    --box-fill: calc(-100vmax - 1.25em) 0 0 100vmax rgba(128, 128, 128, 0.5);
    background-color: var(--hauptfarbe);
    box-shadow: var(--box-fill);
}


/*Firefox Design für den Slider*/
.slider::-moz-range-thumb {
    -moz-appearance: none;
    width: 6px;
    height: 4px;
    background: var(--hauptfarbe);
    background-size: contain;
    cursor: pointer;
    border: double black;
    border-radius: 2px;
}

/*Firefox Progress Verlauf*/
.slider::-moz-range-progress {
    background: rgba(128, 128, 128, 0.5);
    height: 10px;
    border-radius: 150px;
}
 /*Div, in dem die Priorisierungskriterien enthalten sind --> ist nur sichtbar beim anklicken*/
.prio-auswahl {
    /*Position und Größe*/
    position: absolute;
    visibility: hidden;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding-top: 35px;
    top: 0px;
    border-radius: 5px;
    background-color: white;
    width: 100%;
    box-shadow: var(--schatten-u-r);
}

/*Checkbox, um irrelevanz zu entfernen*/
.prio-check {
    align-self: center;
    accent-color: var(--accent-color);
}

/*Scrollfunktion bei zu kleinen Bildschirmbreiten*/
.prio-scroll {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    padding: 10px;
    scrollbar-width: thin;
}

/*Scrollbar Design für Safari, Chrome, Edge etc.*/
.prio-scroll::-webkit-scrollbar {
    width: 0.6vw;
}

.prio-scroll::-webkit-scrollbar-track {
    margin-top: 0.7vw;
    margin-bottom: 0.7vw;
    background: var(--scroll-track);
    border-radius: 0.2vw;
}

.prio-scroll::-webkit-scrollbar-thumb {
    background: var(--scroll-thumb);
    border-radius: 0.2vw;
}

.prio-scroll::-webkit-scrollbar-thumb:hover {
    background: var(--accent-color);
}